New Mac Secure Browser Version 3.5.259 must be installed

For our schools using Mac operating system (OS) versions 10.9-10.11 for operational CBT, it is necessary to update their Nextera Secure Browser version to the latest version 3.5.259. This necessary Mac Secure Browser update is to allow the copy/paste functionality to work for students in the Nextera Test Delivery System. 

It is recommended that old versions of the Mac Secure Browser be uninstalled before installing the new version. 

While devices with Mac OS versions 10.12 and 10.13 do not need to be updated to the latest Nextera Secure Browser, it is a best practice to "keep your technology fresh" and try to have the latest Secure Browser installed and tested for operational CBT.